Subject: Re: How to detect win9 vs NT?
From: [email-masked] (Mumit Khan)

16 Aug 1998 06:50:50 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

[email-masked] writes:
> Where do I look to see the approved cygwin32 method for an application to
> determine whether it's running under NT or 95?  I'd like for libf2c at least
> to be aware so that, for instance, cpu_time() may be made to work under 9x.
> There may be others. 

Duh! Looking at winsup/uname.c, ``uname -a'' already returns 
CYGWIN32_{95,98,NT,UNSUPPORTED}, so it's already there for use at 
least for cygwin32. Just a matter of changing adding this to
AM_CYGWIN32 autoconf macro. I'm going to submit some win32 related
autoconf cleanups for libf2c, so I'll just add this one as well.

Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".